LocalStatus (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.transaction.spi
Enum LocalStatus

    java.lang.Object
      java.lang.Enum<LocalStatus>
          org.hibernate.engine.transaction.spi.LocalStatus

All Implemented Interfaces:
  Serializable, Comparable<LocalStatus>

    public enum LocalStatus

extends Enum<LocalStatus>

Enumeration of statuses in which a local transaction facade (`Transaction`) might be.

Enum Constant Summary
`ACTIVE` The local transaction has been begun, but not yet completed.
`COMMITTED` The local transaction has been competed successfully.
`FAILED_COMMIT` The local transaction attempted to commit, but failed.
`NOT_ACTIVE` The local transaction has not yet been begun
`ROLLED_BACK` The local transaction has been rolled back.

Method Summary
`static LocalStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LocalStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_ACTIVE

    public static final LocalStatus NOT_ACTIVE

  The local transaction has not yet been begun

### ACTIVE

    public static final LocalStatus ACTIVE

  The local transaction has been begun, but not yet completed.

### COMMITTED

    public static final LocalStatus COMMITTED

  The local transaction has been competed successfully.

### ROLLED_BACK

    public static final LocalStatus ROLLED_BACK

  The local transaction has been rolled back.

### FAILED_COMMIT

    public static final LocalStatus FAILED_COMMIT

  The local transaction attempted to commit, but failed.

Method Detail

### values

    public static LocalStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LocalStatus c : LocalStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LocalStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.